# Retrieve subscription data

Solidgate API for accessing subscription information provides merchants with the ability to obtain precise and up-to-date details regarding customer subscriptions.
To get in-depth insights into customer subscriptions, use subscription report that is specifically designed to retrieve and combine all subscription-related data.

 - [POST /subscription/status](https://api-docs.solidgate.com/api/retrieve-subscription-data/get-subscription-status.md): By using this method, merchants can retrieve subscription data by subscription identifier and obtain its details, such as the start date, status, and the information about the most recent invoice rela
 - [POST /subscription/list](https://api-docs.solidgate.com/api/retrieve-subscription-data/retrieve-subscriptions-by-customer.md): This method allows the merchant to retrieve all subscriptions and their statuses for the specific customer by the customer identifier.
 - [POST /subscription/invoice/list](https://api-docs.solidgate.com/api/retrieve-subscription-data/list-invoices-by-subscription-id.md): By using this method, merchants can get a list of invoices related to a specific subscription.
 - [POST /subscription/order/list](https://api-docs.solidgate.com/api/retrieve-subscription-data/list-orders-by-invoice-id.md): By using this method, merchants can retrieve a list of orders associated with a particular invoice.
